import { FlareContract } from "../../contract";
import { EvmContract } from "./evm";
import { PChainStakeMirrorVerifier } from "./stake_verifier";
import { WNat } from "./wnat";
import { DistributionToDelegators } from "./flaredrop";
import { GenericRewardManager } from "./generic_reward_manager";
import { RewardManager } from "./reward_manager";
export declare class ContractRegistry extends EvmContract {
    getAddress(contractName: string): Promise<string>;
    getAllContracts(): Promise<Array<FlareContract>>;
    getWNat(): Promise<WNat>;
    getFlareDropDistribution(): Promise<DistributionToDelegators>;
    getValidatorRewardManager(): Promise<GenericRewardManager>;
    getRewardManager(): Promise<RewardManager>;
    getStakeVerifier(): Promise<PChainStakeMirrorVerifier>;
}
//# sourceMappingURL=registry.d.ts.map