import { Transaction } from "ethers";
import { EvmContract } from "./evm";
import { FtsoRewardClaimWithProof, FtsoRewardState } from "../../iotype";
export declare class RewardManager extends EvmContract {
    getStateOfRewards(address: string): Promise<Array<Array<FtsoRewardState>>>;
    claim(address: string, rewardOwner: string, recipient: string, rewardEpochId: bigint, wrap: boolean, proofs: Array<FtsoRewardClaimWithProof>): Promise<Transaction>;
}
//# sourceMappingURL=reward_manager.d.ts.map