import { Transaction } from "ethers";
import { EvmContract } from "./evm";
export declare class DistributionToDelegators extends EvmContract {
    getCurrentMonth(): Promise<bigint>;
    getClaimableMonths(): Promise<Array<bigint>>;
    nextClaimableMonth(address: string): Promise<bigint>;
    getClaimableAmountOf(address: string, month: bigint): Promise<bigint>;
    claim(address: string, rewardOwner: string, recipient: string, month: bigint, wrap: boolean): Promise<Transaction>;
}
//# sourceMappingURL=flaredrop.d.ts.map