export type ChainData = {
    chainId: string;
    chainName: string;
    rpcUrls: Array<string>;
    blockExplorerUrls: Array<string>;
    nativeCurrency: CurrencyData;
};
export type CurrencyData = {
    decimals: number;
    name: string;
    symbol: string;
};
export declare class Chain {
    static getChainData(chainId: bigint): ChainData;
    private static _getNetworkId;
}
//# sourceMappingURL=chain.d.ts.map